"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidType = exports.getFileName = exports.getNewName = exports.decodeKey = void 0;
var decodeKey = function (key) { return decodeURIComponent(key).replace(/\+/g, " "); };
exports.decodeKey = decodeKey;
var getNewName = function (key, type) { return key.replace(/\.\w+$/, "." + type); };
exports.getNewName = getNewName;
var getFileName = function (key) { return key.replace(/\.\w+$/, ""); };
exports.getFileName = getFileName;
var isValidType = function (filename, types) { var type = filename.toLowerCase().match(/\.\w+$/); if (!type)
    return false; var ft = type[0].substr(1); return types.indexOf(ft) !== -1; };
exports.isValidType = isValidType;
